package com.ssj.bean.sys.poster.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

@Entity
@Table(name = "poster_template")
public class PosterTemplate extends BaseEntity {
	
    private static final long serialVersionUID = 1L;

    private String id;

	/**
	 * 模板名称
	 */
	private String templateName;

	/**
	 * 背景模板
	 */
	private String backImg;

	/**
	 * 二维码1的位置 x;y
	 */
	private String logoPosition;
	/**
	 * 二维码2的坐标信息 x;y
	 */
    private String logoPosition2;

	/**
	 * 联系方式的坐标信息x;y;rightx
	 */
	private String numberPosition;

	/**
	 * 地址坐标信息x;y;rightx
	 */
	private String addressPosition;

	/**
	 * 二维码大小坐标信息w;h;x;y
	 */
	private String qrcodePosition1;

	/**
	 * 二维码大小坐标信息w;h;x;y
	 */
    private String qrcodePosition2;

	/**
	 * 状态
	 */
	private Integer status;

	/**
	 * 创建时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createTime;

	/**
	 * 字体大小
	 */
	private int fontSize;

	/**
	 * rgba 四个数字用;分割
	 */
	private String fontColor;

	/**
	 * 海报宽度
	 */
	private int backLength;

	public String getBackImg() {
		return backImg;
	}

	public void setBackImg(String backImg) {
		this.backImg = backImg;
	}

	public String getLogoPosition() {
		return logoPosition;
	}

	public void setLogoPosition(String logoPosition) {
		this.logoPosition = logoPosition;
	}

	public String getNumberPosition() {
		return numberPosition;
	}

	public void setNumberPosition(String numberPosition) {
		this.numberPosition = numberPosition;
	}
	
	public String getQrcodePosition1() {
		return qrcodePosition1;
	}

	public void setQrcodePosition1(String qrcodePosition1) {
		this.qrcodePosition1 = qrcodePosition1;
	}

	public String getQrcodePosition2() {
		return qrcodePosition2;
	}

	public void setQrcodePosition2(String qrcodePosition2) {
		this.qrcodePosition2 = qrcodePosition2;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}


	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getAddressPosition() {
		return addressPosition;
	}

	public void setAddressPosition(String addressPosition) {
		this.addressPosition = addressPosition;
	}

	public String getLogoPosition2() {
		return logoPosition2;
	}

	public void setLogoPosition2(String logoPosition2) {
		this.logoPosition2 = logoPosition2;
	}

	public int getFontSize() {
		return fontSize;
	}

	public void setFontSize(int fontSize) {
		this.fontSize = fontSize;
	}

	public String getFontColor() {
		return fontColor;
	}

	public void setFontColor(String fontColor) {
		this.fontColor = fontColor;
	}

	public int getBackLength() {
		return backLength;
	}

	public void setBackLength(int backLength) {
		this.backLength = backLength;
	}

	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}
}
